﻿@using System.Web.UI.WebControls; 
@{Layout = "~/Views/Shared/_Layout.cshtml";}  
@Html.Partial("_PickingListOperationScript")

<div class="content">
    <fieldset>
        <table style="width: 10%">
            <tr style="height:30px">
                <td style="width: 5%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Scan";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 5%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SCAN_TYPE";
                        settings.Width = 150;
                        settings.Text = "PICKING LIST NO";
                        settings.ControlStyle.Font.Bold = true;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml()

                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SCAN_TYPE_temp";
                        settings.Width = 150;
                        settings.Text = "PICKING_LIST";
                        settings.ClientVisible = false;
                        settings.ControlStyle.Font.Bold = true;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml()
                    </td>
                  
            </tr> 
             <tr style="height:30px">  
                 <td></td> 
                <td style="width: 5%; padding-left: 50px;">

                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SCAN";
                        //settings.Text = "SL18K08AA01";
                        settings.ControlStyle.Font.Size = 25;
                        settings.Width = 500;
                        settings.Height = 30;
                        settings.Properties.MaxLength = 12; 
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.CssClass = "TextBoxClass"; 
                        settings.Properties.ClientSideEvents.TextChanged = "OnSearch";
                        settings.Properties.ClientSideEvents.Init = "function(s, e) { s.Focus(); }";
                        settings.Properties.ClientInstanceName = "I_SCAN";
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml()
                    
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SCAN_PART";
                        //settings.Text = "SL18K08AA01";
                        settings.ControlStyle.Font.Size = 25;
                        settings.Width = 500;
                        settings.Height = 30;
                        settings.Properties.MaxLength = 12;
                        settings.ClientVisible = false;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.CssClass = "TextBoxClass"; 
                        settings.Properties.ClientSideEvents.TextChanged = "OnSearch";
                        settings.Properties.ClientInstanceName = "I_SCAN_PART";
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml()
                    
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SCAN_KANBAN";
                        //settings.Text = "SL18K08AA01";
                        settings.ControlStyle.Font.Size = 25;
                        settings.Width = 500;
                        settings.Height = 30;
                        settings.Properties.MaxLength = 25;
                        settings.ClientVisible = false;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.CssClass = "TextBoxClass"; 
                        settings.Properties.ClientSideEvents.TextChanged = "OnSearch";
                        settings.Properties.ClientInstanceName = "I_SCAN_KANBAN";
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml()

                    </td>
                 </tr>  
            <tr></tr>
        </table>
        <table style="width: 20%">
             <tr style="height:50px">   
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "PICKING LIST NO";
                        Label.Width = 140;
                    }).GetHtml()
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PICKING_LIST_NO";
                        settings.Width = 200;
                        //settings.Text = "SL18K08AA01";  
                        settings.ReadOnly = true;  
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).Bind(ViewData["PICKING_LIST_NO"]).GetHtml()
                </td> 
            </tr>
             <tr style="height:30px"> 
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "ZONE";
                        Label.Width = 140;
                    }).GetHtml()
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ZONE";
                        settings.Width = 200;
                        //settings.Text = "AA";  
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml() 
                </td> 
            </tr>
             <tr style="height:30px"> 
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "PART NO";
                        Label.Width = 140;
                    }).GetHtml()
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PART_NO";
                        settings.Width = 200;
                        //settings.Text = "AA";  
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml() 
                </td> 
            </tr>
             <tr style="height:30px"> 
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "KANBAN ID";
                        Label.Width = 140;
                    }).GetHtml()
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_KANBAN_ID";
                        settings.Width = 200;
                        //settings.Text = "SL18K08AA0100100001";  
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml() 
                </td> 
            </tr>
             <tr style="height:30px"> 
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "RACK ADDRESS";
                        Label.Width = 140;
                    }).GetHtml()
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_RACK_ADDRESS";
                        settings.Width = 200;
                        //settings.Text = "AB0102-26-26";  
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml() 
                </td> 
            </tr>
             <tr style="height:30px"> 
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "TOTAL QTY";
                        Label.Width = 140;
                    }).GetHtml()
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_TOTAL_QTY";
                        settings.Width = 200; 
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray; 
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml() 
                </td> 
            </tr>

        
              <tr style="height:30px"> 
                  <td></td>
                <td style="width: 60%" align="left" colspan="3">                   
                   
                    <div id="search_cnt">  

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdFinish";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Finish";
                            edtSetting.ClientSideEvents.Click = "OnFinish";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CLEAR");
                        }).GetHtml() 

                    </div> 
                </td>            
            </tr>  
        </table>

        <table>  
            <tr>
                 <td style="padding-top: 50px;  width: 10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ERR_MSG";
                        settings.Text = "";
                        settings.ControlStyle.Font.Size = 20; 
                        settings.Width = 750;
                        settings.Height = 30;
                        settings.ReadOnly = true;
                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                        settings.ClientVisible = false; 
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.PropertiesEdit.Style.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).GetHtml() 
                </td>
            </tr>
        </table>
    </fieldset>
</div> 
 
